> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Permanently Delete Web Link

Once a web link has been moved to the trash, it will stay in the trash for 30
days by default before being purged. Administrators of Business or
Enterprise accounts can alter the purge window. If you wish to permanently
delete the web link from the trash before the purge window expires, make a
`DELETE` request to `/web_links/:web_link_id/trash` using the trashed web
link's `ID`.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X DELETE "https://api.box.com/2.0/web_links/12345/trash" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.trashedWebLinks.deleteTrashedWebLinkById(weblink.id);
  ```

  ```python Python v10 theme={null}
  client.trashed_web_links.delete_trashed_web_link_by_id(weblink.id)
  ```

  ```cs .NET v10 theme={null}
  await client.TrashedWebLinks.DeleteTrashedWebLinkByIdAsync(webLinkId: weblink.Id);
  ```

  ```swift Swift v10 theme={null}
  try await client.trashedWebLinks.deleteTrashedWebLinkById(webLinkId: weblink.id)
  ```

  ```java Java v10 theme={null}
  client.getTrashedWebLinks().deleteTrashedWebLinkById(weblink.getId())
  ```

  ```python Python v4 theme={null}
  web_link = client.web_link(web_link_id='33333')
  client.trash().permanently_delete_item(web_link)
  print('The web link was deleted from trash!')
  ```
</CodeGroup>
